## NAME

s.mask - Filter a sites list with a raster mask
(GRASS Sites Program)

## SYNOPSIS

s.mask
s.mask help
s.mask [-r] input=name output=name raster=name

## DESCRIPTION

Use s.mask to filter a sites list with a raster mask. The raster can be any available raster. Sites are filtered first by the region, then by whether the site falls in a cell with a non-NULL value. The region used for filtering is the current region by default. However, the user may specify that the raster mask's region be used instead. If the raster mask's region is used, both it's extents and resolution are used in the filtering process.

Upon succesful completion, s.mask will print out the total number of sites examined and the number of sites output.

## OPTIONS

### Flags:

-r
  Use the raster's extents and cell resolution, rather than the current region settings.

### Parameters:

input=name
  The name of the existing sites list to filter.
output=name
  The name of the sites list to output.
raster=name
  The name of the raster to use as the mask.

## SEE ALSO

d.sites parser

## AUTHOR

Eric G. Miller

Inspired by code supplied by Helen Mitasova and Jaro Hofierka.

Last changed: $Date: 2002/03/16 22:27:57 $